API Documentation |
MenuEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class MenuEvent
Inheritance | MenuEvent flash.events.Event

Public Properties

| Property | Defined By
--- | --- | ---
|  | data : Array | MenuEvent

Public Methods

| Method | Defined By
--- | --- | ---
|  | MenuEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | MenuEvent
|  | clone():Event [override] | MenuEvent

Public Constants

| Constant | Defined By
--- | --- | ---
|  | ALPHA : String = Alpha [static] | MenuEvent
|  | DEFAULT_POSITIONS : String = DefaultPositions [static] | MenuEvent
|  | EXCEL_EXPORT : String = ExcelExport [static] | MenuEvent
|  | FILLING : String = Filling [static] | MenuEvent
|  | FULLSCREEN : String = Fullscreen [static] | MenuEvent
|  | HIGHLIGHTING : String = Highlighting [static] | MenuEvent
|  | MODE : String = Behavior [static] | MenuEvent
|  | OPEN : String = Open [static] | MenuEvent
|  | OUTLINE : String = Outline [static] | MenuEvent
|  | PANELS : String = Panels [static] | MenuEvent
|  | PDF_EXPORT : String = PDFExport [static] | MenuEvent

Property Detail

data | property

`public var data:Array`

Constructor Detail

MenuEvent | () | Constructor

`public function MenuEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`

Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method Detail

clone | () | method

`override public function clone():Event`

Returns

| `Event`

Constant Detail

ALPHA | Constant

`public static const ALPHA:String = Alpha`

DEFAULT_POSITIONS | Constant |

`public static const DEFAULT_POSITIONS:String = DefaultPositions`

EXCEL_EXPORT | Constant |

`public static const EXCEL_EXPORT:String = ExcelExport`

FILLING | Constant |

`public static const FILLING:String = Filling`

FULLSCREEN | Constant |

`public static const FULLSCREEN:String = Fullscreen`

HIGHLIGHTING | Constant |

`public static const HIGHLIGHTING:String = Highlighting`

MODE | Constant |

`public static const MODE:String = Behavior`

OPEN | Constant |

`public static const OPEN:String = Open`

OUTLINE | Constant |

`public static const OUTLINE:String = Outline`

PANELS | Constant |

`public static const PANELS:String = Panels`

PDF_EXPORT | Constant |

`public static const PDF_EXPORT:String = PDFExport`

Mon Oct 17 2011, 09:13 PM -04:00